From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymediainfo/
Date: Fri, 20 Nov 2020 00:25:20 +0000 (UTC) [thread overview]
Message-ID: <1605831884.f07b2bda1892b22b4b1ed87c75bac00f170b2177.sbraz@gentoo> (raw)
commit: f07b2bda1892b22b4b1ed87c75bac00f170b2177
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 20 00:19:10 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Fri Nov 20 00:24:44 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f07b2bda
dev-python/pymediainfo: bump to 5.0.2
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/pymediainfo/Manifest | 1 +
dev-python/pymediainfo/pymediainfo-5.0.2.ebuild | 31 +++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-python/pymediainfo/Manifest b/dev-python/pymediainfo/Manifest
index 5e535a841d2..c6a8a390c75 100644
--- a/dev-python/pymediainfo/Manifest
+++ b/dev-python/pymediainfo/Manifest
@@ -1,2 +1,3 @@
DIST pymediainfo-4.2.1.tar.gz 434723 BLAKE2B 9dc9754fe8b993b9674da1a02150addb2f7eecfb38e60914e0644fddc1de564e8e0a81260c999f8ae3379d484e26786d0e67ed8aa0e3cc17b70066edf3e75b9c SHA512 33343838312ce240a23fa3856d808bf4b1346a1c65ed99c0405664aceaf452df610144114c228ad43e525f7abc9609420071bc6960f92b68ed7abe5dae8764aa
DIST pymediainfo-4.3.tar.gz 437170 BLAKE2B a085268c90fd963501b0f57f4e58e000c58db57e902bfedf13b67ae2b56334b333bb028f24f7593416ba956943650031a3ab0b6d6627c9ffd3728e70c34182bb SHA512 641b335761a7382b4bb7e559afbba1a9694a3b588bc329187b62d1d6cb769a6ff0c110033e4fb50ab39991687a6f728cab53d528ecedf0164c55a9ce31250fe8
+DIST pymediainfo-5.0.2.tar.gz 444950 BLAKE2B e741802ebdf64752e41648d490179cf56510800fe1c631520be138bbb985a03f061a80d59b71a44ef73e7198853198e1d85c7007d5b99f26f2033b7f6026a4b5 SHA512 7db94cf2326a518f7693f2e8d76aa7aef3440466b0eac768a553cc0763d3bceb84d8051dcd79db6577e22a4ddd580f910ac286c571f3e51197ef2e268a73671a
diff --git a/dev-python/pymediainfo/pymediainfo-5.0.2.ebuild b/dev-python/pymediainfo/pymediainfo-5.0.2.ebuild
new file mode 100644
index 00000000000..8fcb1b108fb
--- /dev/null
+++ b/dev-python/pymediainfo/pymediainfo-5.0.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+PYTHON_REQ_USE="xml(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around the mediainfo library"
+HOMEPAGE="https://github.com/sbraz/pymediainfo"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="media-libs/libmediainfo"
+BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs dev-python/alabaster
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Disable tests which requires network access
+ sed -i 's/@pytest.mark.internet/@pytest.mark.skip/' \
+ tests/test_pymediainfo.py || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-11-20 0:25 UTC|newest]
Thread overview: 66+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-11-20 0:25 Louis Sautier [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-01 11:57 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymediainfo/ Michał Górny
2025-03-01 9:29 Arthur Zamarin
2025-03-01 9:29 Arthur Zamarin
2025-02-12 20:26 Louis Sautier
2025-02-11 2:20 Louis Sautier
2024-08-09 13:19 Louis Sautier
2023-11-29 11:38 Michał Górny
2023-11-29 11:32 Michał Górny
2023-11-29 11:15 Michał Górny
2023-10-29 16:31 Louis Sautier
2023-06-03 17:45 Michał Górny
2023-02-26 20:14 Louis Sautier
2022-12-31 12:37 Michał Górny
2022-12-31 12:11 Sam James
2022-12-31 10:51 Arthur Zamarin
2022-11-26 0:32 Louis Sautier
2021-11-09 10:38 Michał Górny
2021-06-15 8:33 Michał Górny
2021-06-15 7:07 Agostino Sarubbo
2021-06-15 5:25 Sam James
2021-05-09 14:13 Louis Sautier
2021-05-03 16:53 Sam James
2021-05-03 16:51 Sam James
2021-05-01 22:18 Louis Sautier
2021-05-01 22:18 Louis Sautier
2021-04-11 13:20 Louis Sautier
2021-04-11 13:20 Louis Sautier
2020-11-23 23:28 Louis Sautier
2020-11-23 23:28 Louis Sautier
2020-11-20 0:25 Louis Sautier
2020-11-07 18:14 Louis Sautier
2020-09-21 17:48 Michał Górny
2020-09-12 1:42 Louis Sautier
2020-09-04 23:38 Louis Sautier
2020-04-29 22:35 Louis Sautier
2020-03-28 18:03 Michał Górny
2019-09-18 13:45 Louis Sautier
2019-09-18 13:45 Louis Sautier
2019-04-04 15:55 Louis Sautier
2019-04-04 15:55 Louis Sautier
2019-03-05 13:06 Louis Sautier
2018-11-08 11:05 Louis Sautier
2018-11-08 11:05 Louis Sautier
2018-07-17 19:21 Louis Sautier
2018-06-20 20:32 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-07 7:33 Michał Górny
2018-05-15 19:20 Michał Górny
2018-05-15 19:20 Michał Górny
2017-11-08 22:48 Patrice Clement
2017-11-08 22:48 Patrice Clement
2017-03-21 23:11 Patrice Clement
2017-03-21 23:11 Patrice Clement
2016-07-21 15:57 Patrice Clement
2016-07-21 15:57 Patrice Clement
2016-05-05 22:08 Patrice Clement
2016-05-05 22:08 Patrice Clement
2016-05-05 8:06 Ian Delaney
2016-05-05 8:06 Ian Delaney
2016-05-01 13:02 Ian Delaney
2016-05-01 13:02 Ian Delaney
2016-04-17 11:10 Patrice Clement
2016-04-17 11:10 Patrice Clement
2016-02-06 12:38 Ian Delaney
2015-12-21 23:43 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1605831884.f07b2bda1892b22b4b1ed87c75bac00f170b2177.sbraz@gentoo \
--to=sbraz@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox